
  <div class="mat-elevation-z8 ">
    <div fxLayout="row" fxLayoutAlign="space-between center">
      
    <div fxLayout >
        <mat-form-field fxFlex="300px">
            <input matInput class="input" (keyup)="search($event.target.value)" placeholder="Product Id or Name">
          </mat-form-field>
          
    </div>
    <div fxLayout >

        <button mat-fab color="accent" (click)="addNew()">
            <mat-icon>add</mat-icon>
        </button>
  
      </div>
    </div>
      
    <table mat-table [dataSource]="dataSource" matSort  >
        <ng-container matColumnDef="#">
            <th class="th1" mat-header-cell *matHeaderCellDef> # </th>
            <td mat-cell *matCellDef="let product"> {{product.id}} </td>
            <div class="space"></div>
          </ng-container>

      <ng-container matColumnDef="Product Id">
          <th class="th2" mat-header-cell *matHeaderCellDef> Product Id </th>
          <td mat-cell *matCellDef="let product"> {{product.productId}} </td>
          <div class="space"></div>
        </ng-container>
    <!-- Position Column -->
    <ng-container matColumnDef="Product Name">
      <th class="th3" mat-header-cell *matHeaderCellDef mat-sort-header="productName"> Product Name </th>
      <td mat-cell *matCellDef="let product"> {{product.productName}} </td>
    </ng-container>

    <ng-container matColumnDef="Quantity">
      <th class="th4" mat-header-cell *matHeaderCellDef mat-sort-header="quantity"> Quantity </th>
      <td mat-cell *matCellDef="let product"> {{product.quantity}} </td>
    </ng-container>
      <!-- Name Column -->
      <ng-container matColumnDef="Price">
        <th class="th5" mat-header-cell *matHeaderCellDef mat-sort-header="price"> Price </th>
        <td mat-cell *matCellDef="let product"> {{product.price}} </td>
      </ng-container>

  

      <ng-container matColumnDef="Status" >
          <th class="th6" mat-header-cell *matHeaderCellDef mat-sort-header="status"> Active/Deactive </th>
          <td class="th6"  mat-cell *matCellDef="let product">          
              <mat-slide-toggle          
              checked={{product.status}}>
            </mat-slide-toggle>    
          </td>
            

            
            
        </ng-container>
       
    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <div *ngIf="dataSource.filteredData.length === 0">
    <div fxLayout fxFlex="100%"  fxLayoutAlign="center center"> No Records Found! </div>
    </div>
  <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
  
  </div>
  